Subject: [straw] Suggestion for WG adoption: draft-ram-straw-b2bua-dtls-srtp-02

From: Christer Holmberg <[email-masked]>
Date: Mon, 2 Mar 2015 10:37:25 +0000

(As co-chair)

Hi,

The chairs would like to suggest that draft-ram-straw-b2bua-dtls-srtp-02 is adopted as base for the following delivery:

"A document defining the requirements for B2BUAs to support DTLS-SRTP (RFC 5764) end-to-end submitted to the IESG as PS"

If you have any issues with adopting the draft, or if you intend to submit a draft of your own for the delivery, please indicate so on the list by Friday 13th.

Regards,

Christer & Victor

---

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Tue, 3 Mar 2015 06:12:37 +0000

I support WG adoption of this document.
(As co-author)

Thanks,
-Tiru

From: straw [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: Monday, March 02, 2015 4:07 PM
To: [email-masked]
Subject: [straw] Suggestion for WG adoption: draft-ram-straw-b2bua-dtls-srtp-02

(As co-chair)

Hi,

Regards,

Christer & Victor

---

From: "Ram Mohan R (rmohanr)" <[email-masked]>
Date: Tue, 3 Mar 2015 06:26:17 +0000

+1 as one of the authors I support adoption.

Ram

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, 3 March 2015 11:42 am
To: Christer Holmberg <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [straw] Suggestion for WG adoption: draft-ram-straw-b2bua-dtls-srtp-02

Thanks,
-Tiru

From: straw [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: Monday, March 02, 2015 4:07 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [straw] Suggestion for WG adoption: draft-ram-straw-b2bua-dtls-srtp-02

(As co-chair)

Hi,

“A document defining the requirements for B2BUAs to support DTLS-SRTP (RFC 5764) end-to-end submitted to the IESG as PS”

Regards,

Christer & Victor

---

From: Lorenzo Miniero <[email-masked]>
Date: Tue, 3 Mar 2015 16:30:13 +0100

I too support the adoption of this document.

Lorenzo

On Tue, 3 Mar 2015 06:26:17 +0000
"Ram Mohan R (rmohanr)" <[email-masked]> wrote:

> From: "Tirumaleswar Reddy (tireddy)"
> <[email-masked]<mailto:[email-masked]>> Date: Tuesday, 3 March
> 2015 11:42 am To: Christer Holmberg
> <[email-masked]<mailto:[email-masked]>>,
> "[email-masked]<mailto:[email-masked]>"
> <[email-masked]<mailto:[email-masked]>> Subject: Re: [straw]
> Suggestion for WG adoption: draft-ram-straw-b2bua-dtls-srtp-02
> 
> From: straw [mailto:[email-masked]] On Behalf Of Christer
> Holmberg Sent: Monday, March 02, 2015 4:07 PM
> The chairs would like to suggest that
> draft-ram-straw-b2bua-dtls-srtp-02 is adopted as base for the
> following delivery:
> 
> “A document defining the requirements for B2BUAs to support DTLS-SRTP
> (RFC 5764) end-to-end submitted to the IESG as PS”
> 
> If you have any issues with adopting the draft, or if you intend to
> submit a draft of your own for the delivery, please indicate so on
> the list by Friday 13th.
> 
> Regards,
> 
> Christer & Victor

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Tue, 3 Mar 2015 15:41:24 +0000

I reviewed this and the previous version of the draft, providing mostly editorial comments privately to the authors at that time. I support its adoption as a working group draft.

I have a couple minor comments on the current version that can be addressed after adoption.

Sections  3.2.1 and 3.2.2 both start with “This section describes media-aware B2BUAs that …”, which leads me to expect multiple subsections detailing everything I need to know about such a beast. The brevity of each section is refreshing, but leaves me thinking there is a laundry list of addition items that needs to be added later. If this is the case, add an editors note indicating that, else remove the misleading intro from each section.

E.g.
3.2.1. Header inspection

   A media-aware B2BUA that inspects but does not modify RTP headers does not terminate the DTLS-SRTP.

Section 3.2.1
s/B2BUAs that does not/B2BUAs that do not
Section 3.2.2
s/B2BUAs that modifies/B2BUAs that modify

Cheers,
Charles

From: Christer Holmberg <[email-masked]<mailto:[email-masked]>>
Date: Monday, 2 March 2015 4:07 pm
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [straw] Suggestion for WG adoption: draft-ram-straw-b2bua-dtls-srtp-02

(As co-chair)

Hi,

Regards,

Christer & Victor

---

From: "Ram Mohan R (rmohanr)" <[email-masked]>
Date: Mon, 9 Mar 2015 04:52:20 +0000

Hi Charles,

Thanks for your feedback. Will incorporate the comments below.  For the first comment will remove the statement as we don’t intend to add details. We are just referring the B2BUA Taxonomy draft [RFC 7092] and considering the scope of B2BUAs limited to what is defined in that

Ram

From: "Charles Eckel (eckelcu)" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, 3 March 2015 9:11 pm
To: Christer Holmberg <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [straw] Suggestion for WG adoption: draft-ram-straw-b2bua-dtls-srtp-02

E.g.
3.2.1. Header inspection

Section 3.2.1

Cheers,
Charles

(As co-chair)

Hi,

Regards,

Christer & Victor